function [ymin, ymax, xmin, xmax] = calculateWindow(imHei, imWid, rectangle, neededWindowWidth, neededWindowHeight)
	rectX1 = rect(1);
	rectY1 = rect(2);
	rectWidth = rect(3);
	rectHeight = rect(4);
	rectY2 = ymin + height - 1;
	rectX2 = xmin + width - 1;

	if rectWidth < neededWindowWidth || rectHeight < neededWindowHeight
		error("Selection width and/or selection height are too small");
	end
	neededWidthHeightProportion = neededWindowWidth / neededWindowHeight;
	selectedWidthHeightProportion = rectWidth / rectHeight;
	if neededWidthHeightProportion > selectedWidthHeightProportion
		% It means that user selected "too tall" rectangle. We will try to set window wider so it matches the needed proportions
	end
	if neededWidthHeightProportion < selectedWidthHeightProportion
	end

end
