function hogVec = computeHOG126x63(img)
	[hei, wid, dim] = size(img);
	% If RGB, convert to GRAY
	if (dim == 3)
		img = rgb2gray(img);
	end
	if (hei < 126)
		error('Supplied image height is lower than 126');
	end
	if (wid < 63)
		error('Supplied image width is lower than 63');
	end
	widStart = ((wid - 63) / 2) + 1;
	heiStart = ((hei - 126) / 2) + 1;
	clipped = img(heiStart:heiStart + 125, widStart:widStart + 62);
	hogVec = computeHOG(clipped, [-1 0 1], 6, 6, 3, 3);
end
