function detectHumans(img, pathToClassifier, pathToNetwork, minHeight, minWidth, overlapPercent)
	SQRT_OF_2 = sqrt(2);
	[hei, wid, dim] = size(img);
	grayImg = img;
	if dim ~= 1
		grayImg = rgb2gray(img);
	end
	if minHeight > hei || minWidth > wid
		return;
	end
	figure;
	imshow(img);
	allWindowProps = [];
	currHeight = minHeight;
	currWidth = minWidth;
	while currHeight < hei && currWidth < wid
		windowPropList = getWindowsPropList(hei, wid, currHeight, currWidth, overlapPercent);
		allWindowProps = [allWindowProps windowPropList];
		currHeight = currHeight * SQRT_OF_2;
		currWidth = currWidth * SQRT_OF_2;
	end
	% Generating another series of window properties for the largest possible size
	heiProp = hei / minHeight;
	widProp = wid / minWidth;
	coefficient = heiProp;
	if widProp < heiProp
		coefficient = widProp;
	end
	currHeight = minHeight * coefficient;
	currWidth = minWidth * coefficient;
	windowPropList = getWindowsPropList(hei, wid, currHeight, currWidth, overlapPercent);
	allWindowProps = [allWindowProps windowPropList];
	[dummy, winPropsSize] = size(allWindowProps);
	winPropsSize / 4
	toCsv = zeros(winPropsSize / 4, 6318);
	
	windowNum = 1;
	for i = 1 : 4 : floor(winPropsSize - 3)
		heiStart = allWindowProps(i);
		heiEnd = allWindowProps(i + 1);
		winHei = heiEnd - heiStart + 1;
		widStart = allWindowProps(i + 2);
		widEnd = allWindowProps(i + 3);
		winWid = widEnd - widStart + 1;
		subImg = grayImg(heiStart:heiEnd, widStart:widEnd);
		if winHei > minHeight
			subImg = imresize(subImg, [minHeight minWidth]);
		end

		toCsv(windowNum, :) = computeHOG126x63(subImg);
		
		windowNum = windowNum + 1;
	end
	csvFile = tempname;
	csvwrite(csvFile, toCsv);
	cmd = [pathToClassifier ' ' pathToNetwork ' ' csvFile];
	cmd
	[status, cmdout] = system(cmd);
	results = strsplit(cmdout, '\n');
	[dummy, numResults] = size(results)
	for i = 1 : numResults - 1
		if i ~= 1 && (i ~= numResults - 1) && strcmp(results(i), '1') == 1 
			index = (i - 1) * 4 + 1;
			heiStart = allWindowProps(index);
			heiEnd = allWindowProps(index + 1);
			widStart = allWindowProps(index + 2);
			widEnd = allWindowProps(index + 3);
			rectangle('Position',[widStart heiStart (widEnd - widStart) (heiEnd - heiStart)  ], 'LineWidth', 2, 'EdgeColor', [0 1 0]);
			
		end
	end

end
