function list = getWindowsPropList(imgHeight, imgWidth, windowHeight, windowWidth, overlappingPercent)
	overlappingPixelsHei = floor(overlappingPercent * windowHeight);
	overlappingPixelsWid = floor(overlappingPercent * windowWidth);

	% If the overlapping amount is K, then of course the step size is (WINDOW_SIZE - K)
	heiStepSize = windowHeight - overlappingPixelsHei;
	widStepSize = windowWidth - overlappingPixelsWid;

	list = zeros(1, 4 * ((imgHeight - windowHeight) / heiStepSize) * ((imgWidth - windowWidth) / widStepSize));

	idx = 1;
	for i = 1 : heiStepSize : (imgHeight - windowHeight + 1)
		heiStart = i;
		heiEnd = heiStart + windowHeight - 1;
		for j = 1 : widStepSize : (imgWidth - windowWidth + 1)
			widStart = j;
			widEnd = widStart + windowWidth - 1;
			list(idx:idx+3) = [heiStart heiEnd widStart widEnd];
			idx = idx + 4;
		end
	end
	% In the returned list, each 4 adjecent values represent [heiStart heiEnd widStart widEnd]
	% Can be recognized using modulu:                         1mod4    2mod4  3mod4    0mod4
end
